# $Revision: 1.8 $, $Date: 2005/12/12 16:27:50 $

%define short_name xcolor
%define	texhash	[ ! -x %{_bindir}/texhash ] || %{_bindir}/texhash 1>&2 ;

Summary:	Allows for access to color tints, shades, tones etc
Summary(pl):	Pozwala na dostp do odcieni, gradientw itp.
Name:		tetex-latex-xcolor
Version:	2.00
Release:	2
License:	LaTeX Project Public License
Group:		Applications/Publishing/TeX
Source0:	http://dl.sourceforge.net/latex-beamer/%{short_name}-%{version}.tar.gz
# Source0-md5:	f8960a11271fa9d7bfa352966916553f
Source1:	http://www.ctan.org/tex-archive/macros/latex/contrib/misc/chngpage.sty
Requires:	tetex-latex
Requires:	tetex-latex-carlisle
Requires(post,postun):	/usr/bin/texhash
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-pdflatex
BuildRequires:	tetex-latex-ams
BuildRequires:	tetex-latex-carlisle
BuildRequires:	tetex-metafont
BuildRequires:	tetex-tex-misc
BuildRequires:	tetex-tex-pstricks
BuildRequires:	tetex-makeindex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
`xcolor' provides easy driver-independent access to several kinds of
color tints, shades, tones, and mixes of arbitrary colors. It allows to
select a document-wide target color model and offers tools for automatic
color schemes, conversion between eight color models, and alternating
table row colors.

%description -l pl
`xcolor' dostarcza atwego, niezalenego od urzdzenia dostpu do wielu
rodzai cieniowania, tonw i pocze dowolnych kolorw. Pozwala na wybr
modelu koloru dla caego dokumentu i oferuje narzdzia dla schematw
kolorw, konwersji midzy omioma modelami kolorw oraz naprzemiennych
kolorw w tabelach.

%package examples
Summary:	Example files for the LaTeX xcolor package
Summary(pl):	Pliki przykadowe pakietu xcolor dla LaTeX-a
Group:		Applications/Publishing/TeX
Requires:	%{name} = %{version}-%{release}

%description examples
Example files for the LaTeX xcolor package.

%description -l pl examples
Pliki przykadowe pakietu xcolor dla LaTeXa.

%prep
%setup -q -n %{short_name}
cp %{SOURCE1} .

%build
latex xcolor.ins

latex xcolor.dtx
latex xcolor.dtx
makeindex -s gind.ist xcolor.idx
latex xcolor.dtx
latex xcolor.dtx
dvipdf xcolor.dvi

# Missing BR (?):
# Font TS1/cmss/m/n/8=tcss0800 at 8.0pt not loadable: Metric (TFM) file not found.
# latex xcolor1.tex
# dvipdf xcolor1.dvi

latex xcolor2.tex
dvipdf xcolor2.dvi

latex xcolor3.tex
dvipdf xcolor3.dvi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/texmf/tex/latex/%{short_name},%{_examplesdir}/%{name}-%{version}}

install xcolor.sty $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{short_name}
install xcolor[123].{pdf,tex} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%texhash

%postun
%texhash

%files
%defattr(644,root,root,755)
%doc xcolor.pdf
%{_datadir}/texmf/tex/latex/%{short_name}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tetex-latex-xcolor.spec,v $
Revision 1.8  2005/12/12 16:27:50  baggins
- rel 2
- BR tetex-makeindex

Revision 1.7  2005/10/14 18:56:11  kosmo
- added mising BR's
- changes in build process

Revision 1.6  2005/01/05 22:37:16  qboosh
- defattr, unification

Revision 1.5  2005/01/05 00:17:52  jpc
- updated to 2.00
- rebuild the documentation and examples (no pdfs were in the package)
- some tetex BRs
- added examples subpackage

Revision 1.4  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.3  2004/04/22 12:55:44  cieciwa
- version 1.10,
- updated MD5 sum.

Revision 1.2  2004/03/08 12:14:57  malekith
- better and pl desc

Revision 1.1  2004/03/07 22:40:06  malekith
- first sketch

